# draugr.metrics.metric_collection.MetricCollection

class draugr.metrics.metric_collection.MetricCollection(metrics=('signal', 'length'), measures=['StatisticsError', 'fmean', 'geometric_mean', 'harmonic_mean', 'mean', 'median', 'median_grouped', 'median_high', 'median_low', 'mode', 'multimode', 'pstdev', 'pvariance', 'quantiles', 'stdev', 'variance'], keep_measure_history=True, use_disk_cache=True)

  Bases: `dict`

  description

  __init__(metrics=('signal', 'length'), measures=['StatisticsError', 'fmean', 'geometric_mean', 'harmonic_mean', 'mean', 'median', 'median_grouped', 'median_high', 'median_low', 'mode', 'multimode', 'pstdev', 'pvariance', 'quantiles', 'stdev', 'variance'], keep_measure_history=True, use_disk_cache=True)

  Methods

  `__init__`([metrics, measures, ...]) |

  `add_metric`(name)

  param name

  `append`(*args, **kwargs)

  param args

  `clear`() |
  `copy`() |
  `fromkeys`([value]) | Create a new dictionary with keys from iterable and values set to value.
  `get`(key[, default]) | Return the value for key if key is in the dictionary, else default.

  `items`()

  return

  `keys`()

  return

  `pop`(k[,d]) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`() | Remove and return a (key, value) pair as a 2-tuple.

  `remove_metric`(name)

  param name

  `save`(**kwargs)

  param kwargs

  `setdefault`(key[, default]) | Insert key with a value of default if key is not in the dictionary.
  `update`([E, ]**F) | If E is present and has a .keys() method, then does: for k in E: D[k] = E[k] If E is present and lacks a .keys() method, then does: for k, v in E: D[k] = v In either case, this is followed by: for k in F: D[k] = F[k]
  `values`() |

  Attributes

  `metrics` | return: :rtype:

  add_metric(name)
    Parameters

      name –

  append(*args, **kwargs)
    Parameters

      - args –

      - kwargs –

  clear() → None. Remove all items from D.
  copy() → a shallow copy of D
  fromkeys(value=None, /)

    Create a new dictionary with keys from iterable and values set to value.

  get(key, default=None, /)

    Return the value for key if key is in the dictionary, else default.

  items()
    Returns

    Return type

  keys()
    Returns

    Return type

  property metrics

    return: :rtype:

  pop(k[, d]) → v, remove specified key and return the corresponding value.

    If key is not found, d is returned if given, otherwise KeyError is raised

  popitem()

    Remove and return a (key, value) pair as a 2-tuple.

    Pairs are returned in LIFO (last-in, first-out) order. Raises KeyError if the dict is empty.

  remove_metric(name)
    Parameters

      name –

  save(**kwargs)
    Parameters

      kwargs –

  setdefault(key, default=None, /)

    Insert key with a value of default if key is not in the dictionary.

    Return the value for key if key is in the dictionary, else default.

  update([E, ]**F) → None. Update D from dict/iterable E and F.

    If E is present and has a .keys() method, then does: for k in E: D[k] = E[k] If E is present and lacks a .keys() method, then does: for k, v in E: D[k] = v In either case, this is followed by: for k in F: D[k] = F[k]

  values() → an object providing a view on D's values